Bug 434933 - startx doesn't start
startx doesn't start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
http://www.smolts.org/client/show?uui...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 08:00 EST by Marius Strâcnă
Modified: 2008-03-04 15:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 15:05:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/xorg.conf, as requested (795 bytes, text/plain)
2008-02-27 03:36 EST, Răzvan Sandu
no flags Details
Xorg.0.log, as requested (1.07 KB, text/plain)
2008-02-27 03:43 EST, Răzvan Sandu
no flags Details
Xorg.0.log, as requested (57.00 KB, text/plain)
2008-02-27 03:48 EST, Răzvan Sandu
no flags Details

  None (edit)
Description Marius Strâcnă 2008-02-26 08:00:01 EST
Description of problem:

After the last upgrade, startx script fails and the GUI is not launched (without
any error message).

However, doing a system-config-display --reconfig *does* start the graphical
version of the utility.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-42.fc8

How reproducible:
Always.


  
Actual results:
The startx script doesn't start the GUI.

Expected results:
GUI must be started correctly.

Additional info:
Please see this bug's link for the smolt hadware profile.
Comment 1 Răzvan Sandu 2008-02-26 08:07:49 EST
System is set in Romanian. At the end of startx output, we see a warning.

Here's the entire output:

[root@test2 ~]# startx
xauth:  creating new authority file /root/.serverauth.3327


X Window System Version 1.3.0
Release Date: 19 April 2007
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Fedora 8 Red Hat, Inc.
Current Operating System: Linux test2.mobexpert.ro 2.6.23.15-137.fc8 #1 SMP Sun
Feb 10 17:03:13 EST 2008 x86_64
Build Date: 12 February 2008
Build ID: xorg-x11-server 1.3.0.0-42.fc8 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Feb 26 15:04:11 2008
(==) Using config file: "/etc/X11/xorg.conf"
(II) Module already built-in
(II) Module already built-in
(II) Module already built-in
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server

waiting for X server to shut down 
Comment 2 Matěj Cepl 2008-02-26 10:04:44 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Răzvan Sandu 2008-02-27 03:36:38 EST
Created attachment 296033 [details]
/etc/X11/xorg.conf, as requested
Comment 4 Răzvan Sandu 2008-02-27 03:43:01 EST
Created attachment 296035 [details]
Xorg.0.log, as requested
Comment 5 Răzvan Sandu 2008-02-27 03:47:13 EST
Sorry, the attachement in comment #4 was Xorg.setup.log
Comment 6 Răzvan Sandu 2008-02-27 03:48:31 EST
Created attachment 296036 [details]
Xorg.0.log, as requested
Comment 7 Adam Jackson 2008-03-04 15:05:50 EST
Should be resolved in xorg-x11-drv-nv 2.1.7-3.fc9.

Note You need to log in before you can comment on or make changes to this bug.